%define _applnkdir %_datadir/applnk

Summary:	X based image viewer for darned near all images
Name:		xv
Version:	3.10a
Release:	%mkrel 19
License:	Shareware
Group:		Graphics/Viewers
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.gz
Source1:	ftp://swrinde.nde.swri.edu/pub/png/applications/%{name}-%{version}-png-1.2d.tar.gz
Source2:	%{name}man310a-html.tar.gz
Source3:	%{name}.desktop
Source5:	%{name}-non-english-Xman-pages.tar.bz2
Source6:	%{name}-16.png
Source7:	%{name}-32.png
Source8:	%{name}-48.png
Patch0:		%{name}-PLD.patch
Patch1:		%{name}-FLmask.v2.1.patch
Patch2:		%{name}-JPEG.patch
Patch3:		%{name}-TIFF.patch
Patch4:		%{name}-croppad.patch
Patch5:		%{name}-deepcolor.patch
Patch6:		%{name}-exceed_grab.patch
Patch7:		%{name}-gif.patch
Patch8:		%{name}-grab.patch
Patch9:		%{name}-longname.patch
Patch10:	%{name}-mp-tiff.patch
Patch11:	%{name}-pdf.patch
Patch12:	%{name}-png-fix2.patch
Patch13:	%{name}-vis.patch
Patch14:    %{name}-gs.patch
Patch15:    %{name}-tiff1200.patch
Patch16:    %{name}-gssafer.patch
Patch17:    %{name}-3.10a-gcc4.patch
Patch18:    %{name}-print-format.patch
Patch19:    %{name}-gimp_png_image_crash.patch
URL:		http://www.trilon.com/xv/xv.html
BuildRequires: x11-proto-devel
BuildRequires: libx11-devel
BuildRequires: libxt-devel
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng12-devel
Requires: ghostscript

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

%prep
%setup -q
tar xvfz %{SOURCE1}
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p0 -b .mp-tiff
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0 -b .gcc4
%patch18 -p0 -b .print-format 
%patch19 -p1 -b .gimp_png_image
tar zxf %{SOURCE2}

perl -pi -e 's:-L/usr/X11R6/lib:-L%_prefix/%_lib:' Makefile

%build
%{make} CCOPTS="%{optflags} `pkg-config --cflags libpng12`" PNGLIB=`pkg-config --libs libpng12` BINDIR=%_bindir LIBDIR=%_libdir MANDIR=%_mandir/man1

%install
install -d $RPM_BUILD_ROOT%{_applnkdir}/Graphics \
	$RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}

%makeinstall BINDIR=%buildroot%_bindir LIBDIR=%buildroot%_libdir MANDIR=%buildroot%_mandir/man1

install %{SOURCE3} $RPM_BUILD_ROOT%{_applnkdir}/Graphics
mv -f xvman310a manual

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f %buildroot%_mandir/README*
find $RPM_BUILD_ROOT%{_mandir} -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_mandir} -type f -exec chmod 644 {} \;

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xv
Comment=Images viewer/editor
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;2DGraphics;RasterGraphics;Viewer;
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}

install -m 644 %{SOURCE6} %buildroot%_miconsdir/%name.png
install -m 644 %{SOURCE7} %buildroot%_iconsdir/%name.png
install -m 644 %{SOURCE8} %buildroot%_liconsdir/%name.png

%files
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS CPMASK 00_README manual
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Graphics/xv.desktop
%{_libdir}/xvdocs.ps
%{_mandir}/man1/*
%{_datadir}/applications/mageia-%{name}.desktop
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*


%changelog
* Fri Feb 21 2020 umeabot <umeabot> 3.10a-19.mga8
+ Revision: 1548849
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.10a-18.mga7.nonfree
+ Revision: 1292188
- Mageia 7 Mass Rebuild

* Fri Mar 02 2018 mrambo3501 <mrambo3501> 3.10a-17.mga7.nonfree
+ Revision: 1206128
- add rediffed openSUSE patch which fixes a DoS security issue (mga#22652)

* Fri Jul 07 2017 akien <akien> 3.10a-16.mga6.nonfree
+ Revision: 1109223
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10a-15.mga5.nonfree
+ Revision: 749765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10a-14.mga5.nonfree
+ Revision: 690796
- Mageia 5 Mass Rebuild
+ tv <tv>
- fix description (which is not the license tag)

* Thu Oct 31 2013 tmb <tmb> 3.10a-13.mga4.nonfree
+ Revision: 548564
- Mageia 4 rebuild

* Tue Jan 22 2013 fwang <fwang> 3.10a-12.mga3.nonfree
+ Revision: 390987
- bump rel
- cleanup spec
- bunzip2 the patches

* Mon Jan 14 2013 luigiwalser <luigiwalser> 3.10a-11.mga3.nonfree
+ Revision: 387985
- fix dangerous path in xv-gspatch
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 06 2012 nanardon <nanardon> 3.10a-10.mga2.nonfree
+ Revision: 205364
- Fix .desktop categories (#3607)

* Tue Jan 03 2012 pterjan <pterjan> 3.10a-8.mga2.nonfree
+ Revision: 190201
- Build against libpng12
+ fwang <fwang>
- rebuild for new libtiff

* Mon Mar 28 2011 grenoya <grenoya> 3.10a-6.mga1
+ Revision: 78471
- add BuildRequire libjpeg-devel and libpng-devel
- add BuildRequire libtiff-devel
- add BuildRequire libxt-devel
- add BuildRequire libx11-devel
- add BuildRequire
- clean old Mdv syntax
- fix compilation
- imported package xv


* Tue Apr 24 2007 Olivier Thauvin <nanardon@zarb.org> 3.10a-7plf
- xdg menu

* Sun Jan 22 2006 Olivier Thauvin <nanardon@zarb.org> 3.10a-6plf
- rebuild && %%mkrel
- gcc4 fix

* Thu Oct 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-5plf
- requires: s/gv/ghostscript/ (Thx P. Weill)

* Tue Oct 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-4plf
- Requires gv (oops)

* Tue Oct 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-3plf
- patch14: ps and ps.bz2 now supported
- patch15: tiff 1200 dpi patch
- patch16: gs run with -safer (security fix)

* Thu Sep 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-2plf
- remove pixmaps to avoid conflict with WindowsMaker

* Tue Aug 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-1plf
- 1st plf package (from pld, made itself from mdk :)
